LIKWID-MEMSWEEPER(1)

NAME
likwid-memsweeper - A tool to clean up NUMA memory domains and last level caches.

SYNOPSIS
likwid-memsweeper [-hv] [-c <node_list>]

DESCRIPTION
likwid-memsweeper is a command line application to shrink the file buffer cache by filling the NUMA domain with random pages. Moreover, the tool invalidates all cachelines in the LLC.

OPTIONS

-h, --help
    prints a help message to standard output, then exits.

-v, --version
    prints a version message to standard output, then exits.

-c <node_list>
    set the NUMA domain for sweeping.

AUTHOR
Written by Thomas Roehl <thomas.roehl@googlemail.com>.

BUGS
Report Bugs on <https://github.com/RRZE-HPC/likwid/issues>.

SEE ALSO
likwid-perfctr(1), likwid-features(1), likwid-pin(1), likwid-powermeter(1),